
    <mat-card>
    <mat-card-header>
        <mat-card-title>
        Course List
        </mat-card-title>
    </mat-card-header>
    <mat-card-content>

        <mat-list>
        <mat-list-item
            *ngFor="let course of courses"
            (click)="selected.emit(course)"
            >
            <h3 matLine>{{ course.title | titlecase }}</h3>
            <p matLine>
                {{ course.description }}
            </p>
            <button
                mat-icon-button
                color="warn"
                (click)="deleted.emit(course.id); $event.stopPropagation();">
                <mat-icon>delete</mat-icon>
            </button>
        </mat-list-item>

        </mat-list>
    </mat-card-content>
    </mat-card>
